Bug 206053 - File action's result show up in other dolphin windows
Summary: File action's result show up in other dolphin windows
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-02 23:05 UTC by David Vogt
Modified: 2011-04-12 20:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Vogt 2009-09-02 23:05:08 UTC
Version:            (using KDE 4.3.0)
OS:                Linux
Installed from:    Ubuntu Packages

Hi,

It appears if I have two or more dolphin windows open (not necessarily the same folder), and I rename a file in one, the resulting message also appears in the status bar of the other window(s). I think this is very confusing, especially if both windows are visible at the time the action is performed.
Comment 1 Peter Penz 2011-04-12 20:01:57 UTC
Git commit fff7573ebb910712ad97951bf1762e6a7bb0bdc7 by Peter Penz.
Committed on 12/04/2011 at 20:01.
Pushed by ppenz into branch 'master'.

Let each DolphinMainWindow run in a custom process

A possible crash in one Dolphin window should not result in crashing
other Dolphin windows. Beside this it also prevents issues with
modal dialogs or notifications.

BUG: 269950
BUG: 206053
BUG: 196034
FIXED-IN: 4.7.0

M  +0    -7    dolphin/src/CMakeLists.txt     
M  +45   -62   dolphin/src/dolphinapplication.cpp     
M  +7    -31   dolphin/src/dolphinapplication.h     
M  +117  -135  dolphin/src/dolphinmainwindow.cpp     
M  +6    -8    dolphin/src/dolphinmainwindow.h     
M  +2    -15   dolphin/src/main.cpp     
D  +0    -9    dolphin/src/org.kde.dolphin.Application.xml     
D  +0    -13   dolphin/src/org.kde.dolphin.MainWindow.xml     
M  +2    -1    dolphin/src/settings/dolphinsettingsdialog.cpp     
M  +3    -0    dolphin/src/settings/dolphinsettingsdialog.h     

http://commits.kde.org/kde-baseapps/fff7573ebb910712ad97951bf1762e6a7bb0bdc7